Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class AddEntryOptionsImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.EntryOptionsImpl
          com.stc.connector.ldapadapter.appconn.AddEntryOptionsImpl

All Implemented Interfaces:
  AddEntryOptions, EntryOptions

    public class AddEntryOptionsImpl

extends EntryOptionsImpl
implements AddEntryOptions

This class is used to set the options for adding entry

Version:
  $Revision: 1.3 $
Author:

Constructor Summary
`AddEntryOptionsImpl()`

Method Summary
`boolean` | `getIgnoreAlreadyBound()` retrieves the value set for ignoreAlreadyBound.
`void` | `reset()` Method to reset the values
`void` | `setIgnoreAlreadyBound(boolean ignoreAlreadyBound)` sets the value for ignoreAlreadyBound.

Methods inherited from class com.stc.connector.ldapadapter.appconn.EntryOptionsImpl
`getIgnoreAttributeIDCase, getOrderAttributeValues, setIgnoreAttributeIDCase, setOrderAttributeValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.appconn.ldap.EntryOptions
`getIgnoreAttributeIDCase, getOrderAttributeValues, setIgnoreAttributeIDCase, setOrderAttributeValues`

Constructor Detail

### AddEntryOptionsImpl

    public AddEntryOptionsImpl()

Method Detail

### getIgnoreAlreadyBound

    public boolean getIgnoreAlreadyBound()

  retrieves the value set for ignoreAlreadyBound.

  Specified by:
    `getIgnoreAlreadyBound` in interface `AddEntryOptions`
  Returns:
    the value of ignoreAlreadyBound.

### setIgnoreAlreadyBound

    public void setIgnoreAlreadyBound(boolean ignoreAlreadyBound)

  sets the value for ignoreAlreadyBound. setting to true denotes that entry already bound with the name has to be ignored.

  Specified by:
    `setIgnoreAlreadyBound` in interface `AddEntryOptions`
  Parameters:
    `the` - boolean value to set for ignoreAlreadyBound.

### reset

    public void reset()

  Method to reset the values

  Specified by:
    `reset` in interface `AddEntryOptions`
  Specified by:
    `reset` in interface `EntryOptions`
  Overrides:
    `reset` in class `EntryOptionsImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD